Summary:	Gtk1GLArea is an OpenGL widget for GTK+ GUI toolkit.
Name:		gtk1glarea
Version:	1.2.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	gtkglarea-%{version}.tar.gz
Patch0:		gtkglarea-%{version}.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Just as GTK+ is build on top of GDK, Gtk1GLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is derived
from GtkDrawinigArea widget and adds only few extra functions.
Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported. 
Related project which may iterest those who use GTK-- is Gtk1GLArea--. It is a
C++ wrapper for gtk1glarea written by Karl Nelson <kenelson@ece.ucdavis.edu>. 

%package 	devel
Summary:	Header files for gtk1glarea
Group:		Development

%description 	devel
This package contains header/library files for gtk1glarea development.

%prep
%setup -q -n gtkglarea-%{version}
%patch

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/lib/*.so
/usr/lib/*.so.*
/usr/lib/*.la

%files devel
%defattr (-,root,root)
/usr/include
/usr/lib/*.a
/usr/share
